.root {
  position: fixed;
  left: calc(50% - 276px);
  bottom: 140px;
  width: 552px;
  padding: 12px 16px;
  background-color: var(--main-darker-color);
  color: var(--text-main);
  font: var(--font-p1);
  border-radius: 24px;
  letter-spacing: 0;
  display: flex;
  justify-content: center;
  opacity: 1;
  z-index: 1400;
  visibility: visible;
  transition: opacity 300ms ease-in-out, visibility 300ms ease-in-out;
  box-shadow: rgb(0 0 0 / 45%) 0 25px 20px -20px;

  &-hidden {
    visibility: hidden;
    opacity: 0;
  }

  .container {
    display: flex;
    justify-content: center;
    width: 100%;
    position: relative;
    padding-right: 24px;
  }

  &_closeIcon {
    position: absolute;
    top: -2px;
    right: 12px;
    width: 24px;
    height: 24px;
    cursor: pointer;
    margin-left: 16px;

    path:first-child {
      fill: var(--text-main);
    }
  }
}
